# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define major 0.10
%define gstreamer   gstreamer
%define _pygtk		2.6.3
%define _gst		0.10.2

Name: python-module-gst
Version: %major.12
Release: alt0.M41.1
Summary: Python bindings for GStreamer

Group: Development/Python
License: LGPL
Url: http://gstreamer.freedesktop.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source0: http://gstreamer.freedesktop.org/src/gst-python/gst-python-%version.tar.bz2

Provides: gst-python

%setup_python_module gst

BuildPreReq: python-module-pygtk-devel

# Automatically added by buildreq on Fri Oct 12 2007 (-bi)
BuildRequires: gcc-c++ gst-plugins-devel python-module-pygobject-devel python-modules-compiler valgrind

BuildRequires: rpm-build-compat >= 0.95

%description
This module contains a wrapper that allows GStreamer applications
to be written in Python.

%package devel
Summary: Python development files for Gstreamer
Group: Development/Python

Requires: %name = %version-%release

%description devel
Python development files for Gstreamer.

%prep
%setup -q -n gst-python-%version
sed -i  -e 's,^_gst_la_LIBADD = \(.*\)$,_gst_la_LIBADD = \1 -lpython%__python_version,g' \
	-e 's,^interfaces_la_LIBADD = \(.*\)$,interfaces_la_LIBADD = \1 -lpython%__python_version,g' \
	-e 's,^pbutils_la_LIBADD = \(.*\)$,pbutils_la_LIBADD = \1 -lpython%__python_version,g' \
	gst/Makefile.am

%build
%autoreconf
%configure
%make_build

%install
%makeinstall
find %buildroot -type f -name "*.la" -exec rm -f {} ';'

%files
%doc AUTHORS ChangeLog NEWS README
%python_sitelibdir/*
%_datadir/gst-python

%files devel
%_pkgconfigdir/gst-python-%major.pc

%changelog
* Tue Aug 12 2008 Yuri N. Sedunov <aris@altlinux.org> 0.10.12-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Wed Jun 18 2008 Igor Zubkov <icesik@altlinux.org> 0.10.12-alt1
- 0.10.11 -> 0.10.12

* Sat May 24 2008 Igor Zubkov <icesik@altlinux.org> 0.10.11-alt1
- 0.10.10 -> 0.10.11

* Fri May 16 2008 Igor Zubkov <icesik@altlinux.org> 0.10.10-alt2
- rebuild

* Sun Feb 24 2008 Igor Zubkov <icesik@altlinux.org> 0.10.10-alt1
- 0.10.9 -> 0.10.10

* Mon Feb 11 2008 Grigory Batalov <bga@altlinux.ru> 0.10.9-alt2.1
- Rebuilt with python-2.5.

* Mon Feb 11 2008 Grigory Batalov <bga@altlinux.ru> 0.10.9-alt2
- Link with current python version.

* Fri Nov 30 2007 Igor Zubkov <icesik@altlinux.org> 0.10.9-alt1
- 0.10.8 -> 0.10.9

* Fri Oct 12 2007 Igor Zubkov <icesik@altlinux.org> 0.10.8-alt2
- fix rebuild with new rpm

* Thu Sep 06 2007 Igor Zubkov <icesik@altlinux.org> 0.10.8-alt1
- 0.10.7 -> 0.10.8

* Tue Aug 28 2007 Igor Zubkov <icesik@altlinux.org> 0.10.7-alt2
- move devel files to devel subpackage (closes #12595)

* Fri May 04 2007 Igor Zubkov <icesik@altlinux.org> 0.10.7-alt1
- fix linking

* Sun Feb 04 2007 Vitaly Lipatov <lav@altlinux.ru> 0.10.7-alt0.1
- new version 0.10.7 (with rpmrb script)

* Thu Sep 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.10.5-alt0.1
- new version (0.10.5)

* Mon May 08 2006 Vitaly Lipatov <lav@altlinux.ru> 0.10.4-alt0.1
- initial build for ALT Linux Sisyphus

* Tue Dec 20 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- updated spec file

* Thu Oct 06 2005 Edward Hervey < edward at fluendo dot com >
- Updated spec file for 0.9

* Fri Nov 05 2004 Christian Schaller < uraeus at gnome org >
- Remerged spec file with cvs version

* Tue Oct 12 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.93-0.fdr.1: new upstream release

* Mon Jun 21 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.92-0.fdr.1: new upstream release

* Wed Mar 31 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.91-0.fdr.1: new upstream release

* Tue Sep 02 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.1.0-0.fdr.1: first fedora release
